> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Refund Transaction

> This API can be used to raise a refund against a particular invoice. Webhook events will be pushed for any refund status updates. Get Transaction API can also be used to check the refund status.



## OpenAPI

````yaml /api-reference/Transactions/transaction.json post /transaction/v1.0/createRefund
openapi: 3.0.3
info:
  title: Transactions API
  description: API's to get transaction information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /transaction/v1.0/createRefund:
    post:
      tags:
        - Transaction
      summary: Create Refund Transaction
      description: >-
        This API can be used to raise a refund against a particular invoice.
        Webhook events will be pushed for any refund status updates. Get
        Transaction API can also be used to check the refund status.
      operationId: createRefund
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - invoiceId
              properties:
                invoiceId:
                  type: string
                  description: Invoice ID.
                comment:
                  type: array
                  description: Comments for future use.
                  items:
                    type: object
                    additionalProperties: true
                referenceId:
                  type: string
                  description: Partner's reference ID.
                mode:
                  type: string
                  description: Mode of payment.
      responses:
        '200':
          description: Invoice data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createrefundTxn'
components:
  schemas:
    createrefundTxn:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Invoice data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.